{% load staticfiles %}
{% load static %}

<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Suling: Profile Mahasiswa</title>

    <link rel="stylesheet" href="{% static 'css/main.css' %}">
    <link rel="stylesheet" href="{% static 'css/bootstrap.css' %}">
    {% block css %}
    {% endblock %}
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,700,800|PT+Sans:400,700" rel="stylesheet">
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/simple-line-icons/2.4.1/css/simple-line-icons.min.css">
</head>
<header>
    {% with blacklist='auth:login auth:signup auth:verify'  %}
    {% if request.resolver_match.view_name not in blacklist%}
    <nav class="navbar navbar-expand-lg navbar-light bg-light-grey">
        <a class="navbar-brand ml-4" href="#">
            <img height="25" width="auto" src="{% static 'img/logo-3-x.png' %}" alt="logo">
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ml-auto">
                    <li class="nav-item d-flex align-items-center">
                    <a class="nav-link" href="#">
                        <i class="icon-home icons"></i>
                        Beranda
                    </a>
                </li>
                <li class="nav-item d-flex align-items-center {% if request.resolver_match.view_name == 'mahasiswa:index' %}active{% endif %}">
                    <a class="nav-link" href="{% url 'mahasiswa:index' %}">
                        <i class="icon-user icons"></i>
                        Profil
                    </a>
                </li>
                <li class="nav-item d-flex align-items-center {% if request.resolver_match.view_name == 'mahasiswa:vacancy' %}active{% endif %}">
                    <a class="nav-link" href="{% url 'mahasiswa:vacancy'  %}">
                        <i class="icon-magnifier icons"></i>
                        Lowongan
                    </a>
                </li>
                <li class="nav-item d-flex align-items-center ml-3">
                    <a href="#" class="nav-link">
                        <div class="row navbar__profile d-flex align-items-center">
                            <div class="mr-4">Hi, <strong>{{ user.user_mahasiswa.nama_lengkap }}</strong></div>
                            {% if user.user_mahasiswa.profpic_url != None %}
                            <img src="{{ user.user_mahasiswa.profpic_url }}" alt="profile">
                            {% else %}
                            <img src="{% static 'mahasiswa/img/user_placeholder.png' %}" alt="profile_placeholder">
                            {% endif %}
                    <a href="{% url 'auth:logout'  %}" class="nav-link">
                        <div class="row d-flex align-items-center">
                            <div class="mr-4">Hi, <strong>{{ user.name }}</strong></div>
                            <img src="{% static 'img/pp.png' %}" alt="profile">
                        </div>
                    </a>
                </li>
            </ul>
        </div>
    </nav>
    {% endif %}
    {% endwith %}
</header>

<main id="main" class="container-fluid">
    {% block main %}
    <!-- Your Content Here -->
    {% endblock %}

</main>

<body>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.1/umd/popper.min.js"></script>
<script src="{% static 'js/bootstrap.js' %}"></script>
</body>

</html>